Arch Toiture

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Roof and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Page précédente: Arch Grid.svg Grille
Page suivante: Espace Arch Space.svg Arrow-right.svg

Arch Roof.svg Toiture

Emplacement du menu
Arch → Roof
Ateliers
Atelier architecture
Raccourci par défaut
R F
Introduit dans la version
-
Voir aussi
Structure, Mur


Description

L'outil Toit vous permet de créer un toit avec une pente à partir d'une ligne sélectionnée. L'objet Toit créé est paramétrique, et garde sa relation avec l'objet de base. Le principe est que chaque bord se voit attribuer un profil de toiture (pente, largeur, saillie, épaisseur).

Cet outil est encore en développement et peut échouer avec des formes très complexes.

RoofExample.png

Vue d'en haut d'un modèle de bâtiment montrant le toit avec une certaine transparence


Utilisation

  1. Créez un fil dans le sens antihoraire et sélectionnez le.
    • CounterclockwiseWire.png
  2. Cliquez sur le bouton Arch Roof.svg Toiture ou sur les touches R puis F.
  3. L'objet Toit par défaut a l'air étrange car l'outil n'a aucune information.
  4. Après la création du toit par défaut, double cliquez sur l'objet dans la vue 3D pour accéder à son édition et ses propriétés. Les angles doivent être compris entre 0 et 90 degrés.
    • RoofTable.png
  5. Chaque ligne correspond à un pan de toit. Vous pouvez ainsi définir les propriétés que vous dédirez pour chaque pan du toit.
  6. Pour vous aider, vous pouvez définir les angles ou les mettre à 0 et défini un ID relatif, les données relatives se calculeront automatiquement.
  1. Voici son fonctionnement:
    1. Si Angle = 0 et Run = 0 le profil est identique au profil relatif.
    2. Si Angle = 0 alors l'angle est calculé de telle manière que la hauteur soit la même que le profil relatif.
    3. Si Run = 0 alors Run est calculé de telle manière que la hauteur soit la même que le profil relatif.
  2. A la fin, définir un angle de 90 ° pour réaliser un pignon.
    • RoofProfil.png
  3. Vous pouvez aussi voir cette vidéo : https://www.youtube.com/watch?v=4Urwru71dVk

Options

  • L'objet Roofs partage les propriétés communes et le comportement de tous les objet Arch Composants

Propriétés

  • DONNÉESAngles: Liste les angles des pans de la toiture (un angle pour chaque pan) de la pente.
  • DONNÉESRuns: Liste de la largeur du pan de la toiture (une pour chaque bord).
  • DONNÉESIdRel: Liste la relation entre l'angle et la pente du toit
  • DONNÉESThickness: Liste de l'épaisseur du pan de la toiture. (Une épaisseur pour chaque bord).
  • DONNÉESOverhang: Liste de la saillie du pan de la toiture (un surplomb pour chaque bord).
  • DONNÉESFace: Indice de la face de l'objet de base utilisée # Pas vraiment utilisé

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil de toit peut être utilisé dans les macros et dans la console Python en utilisant la fonction suivante:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
  • Crée un objet Roof (toiture) à partir du baseobj donné qui peut être un fil fermé ou un objet solide.
    • Si baseobj est un fil, vous pouvez fournir des listes pour les angles, run, idrel, Template:Incod et overhang pour chaque bord du câble définissant la forme du toit.
    • Les listes sont automatiquement complétées pour correspondre au nombre d'arêtes.

Exemple:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Grid.svg Grille
Page suivante: Espace Arch Space.svg Arrow-right.svg